<?php
/**
* @version   $Id: mod_sm_newsletter.php 2009-02-18 02:30:50Z mirko boeer $
* @package  SuperMailer und FollowUpMailer Newsletter
* @copyright    Copyright (C) 2001-2018 Mirko Boeer, Leipzig. All rights reserved.
* @license   GNU/GPL, see LICENSE.php
* @modified by Jeannine Czerwinski for Joomla 1.6
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

  /** ensure this file is being included by a parent file */
  defined('_JEXEC') or die('Restricted access');

if(!function_exists("unhtmlentities")) {

  function html_entity_decode_internal_preg_replace_callback1($matches){
    return chr(hexdec($matches[1]));
  }

  function html_entity_decode_internal_preg_replace_callback2($matches){
    return chr($matches[1]);
  }


  function unhtmlentities($string)
  {
      if(function_exists("html_entity_decode")) {
        // replace numeric entities
        #$string = preg_replace('~&#x([0-9a-f]+);~ei', 'chr(hexdec("\\1"))', $string);
        #$string = preg_replace('~&#([0-9]+);~e', 'chr("\\1")', $string);

        $string = preg_replace_callback('~&#x([0-9a-f]+);~i',
           "html_entity_decode_internal_preg_replace_callback1", $string);

        $string = preg_replace_callback('~&#([0-9]+);~',
           'html_entity_decode_internal_preg_replace_callback2', $string);

        // replace literal entities
        $trans_tbl = get_html_translation_table(HTML_ENTITIES);
        $trans_tbl = array_flip($trans_tbl);
        return strtr($string, $trans_tbl);
      } else
        return html_entity_decode($string);
  }
}

if(!function_exists("hu")){
  function hu($s){
    $x = unhtmlentities($s);
    if($x != $s) {
      $s = $x;
      return utf8_encode($s);
    } else
      return $s;
  }
}

  $moduleclass_sfx      = ($params->get( 'moduleclass_sfx', 'moduletable' ));
  $module_description = hu($params->get( 'module_description', 'Newsletteranmeldung' ));

  $URL_to_newsletter_php = hu($params->get( 'URL_to_newsletter_php', 'http://newsletter.php' ));

  $salutation_visible = hu($params->get( 'salutation_visible', 0 ));
  $name_visible = hu($params->get( 'name_visible', 0 ));
  $firstname_visible = hu($params->get( 'firstname_visible', 0 ));
  $poweredby_visible = hu($params->get( 'poweredBy_visible', 1 ));

  $privacypolicyurl_visible = hu($params->get( 'privacypolicyurl_visible', 1 ));

  $salutation_field = hu($params->get( 'salutation_field', '' ));
  $name_field = hu($params->get( 'name_field', '' ));
  $firstname_field = hu($params->get( 'firstname_field', '' ));

  $salutation_desc = hu($params->get( 'salutation_desc', '' ));
  $name_desc = hu($params->get( 'name_desc', '' ));
  $firstname_desc = hu($params->get( 'firstname_desc', '' ));

  $email_desc = hu($params->get( 'email_desc', 'Ihre E-Mail-Adresse:' ));

  $newsletter_action_desc = hu($params->get( 'newsletter_action_desc', ('Sie m&ouml;chten sich f&uuml;r unseren Newsletter') ));
  $sub_rb_desc = hu($params->get( 'sub_rb_desc', 'anmelden' ));
  $unsub_rb_desc = hu($params->get( 'unsub_rb_desc', 'abmelden' ));

  $submit_btn_desc = hu($params->get( 'submit_btn_desc', 'Absenden' ));

  $privacypolicyurl_desc = hu($params->get( 'privacypolicyurl_desc', "Bitte beachten Sie unsere <a href=\"http(s)://URL zur eigenen Datenschutzerkl&auml;rung\" target=\"_blank\">Datenschutzerkl&auml;rung</a>" ));

  $stylesheets_desc = hu($params->get( 'stylesheets_desc', "font-family: inherit; color: inherit;" ));

?>


<!--Newsletteranmeldung beginnt hier-->

<?php
   echo "<style>p.mod_sm_newsletter_p > label{display:inline;}</style>";
  if(!empty($stylesheets_desc)){
    echo "<style>p.mod_sm_newsletter_p{".$stylesheets_desc."}</style>";
  }
?>

<form method="POST" action="<?php echo $URL_to_newsletter_php ?>">
<div class="<?php echo $moduleclass_sfx; ?>">
<table>
  <tr>
   <td>
       <p>
       <b><?php echo $module_description; ?></b></p>
       <p class="mod_sm_newsletter_p"><?php echo $email_desc; ?><br>
       <input type="text" name="EMail" size="" />
       </p>

       <?php
         if($salutation_visible)
           print '<p class="mod_sm_newsletter_p">'.$salutation_desc.'<br /><select size="1" name="'.$salutation_field.'"><option>Herr</option><option>Frau</option></select></p>';
         if($name_visible)
           print '<p class="mod_sm_newsletter_p">'.$name_desc.'<br /><input type="text" name="'.$name_field.'" size="" /></p>';
         if($firstname_visible)
           print '<p class="mod_sm_newsletter_p">'.$firstname_desc.'<br /><input type="text" name="'.$firstname_field.'" size="" /></p>';
       ?>

       <p class="mod_sm_newsletter_p">
       <?php echo $newsletter_action_desc ?><br />
        <input type="radio" value="subscribe" checked="checked" name="Action" id="Actionsubscribe" /><label for="Actionsubscribe">&nbsp;<?php echo $sub_rb_desc; ?></label><br />
        <input type="radio" value="unsubscribe" name="Action" id="Actionunsubscribe" /><label for="Actionunsubscribe">&nbsp;<?php echo $unsub_rb_desc; ?></label>
       </p>
       <p class="mod_sm_newsletter_p">&nbsp;</p>

       <?php
       if($privacypolicyurl_visible){
           print '<p class="mod_sm_newsletter_p">'.$privacypolicyurl_desc.'</p>';
           print '<p class="mod_sm_newsletter_p">&nbsp;</p>';
       }
       ?>

       <p class="mod_sm_newsletter_p">
       <input type="submit" value="<?php echo $submit_btn_desc; ?>" name="SubmitBtn">
       <br><br>
       </p>
       <?php
       if($poweredby_visible) {
         print '
         <span style="font-size:7pt">Powered&nbsp;by&nbsp;
         <a href="http://www.supermailer.de" target="_blank">SuperMailer</a></span>
         ';
       }
       ?>
   </td>
  </tr>
</table>
</div>
</form>
<!--Newsletteranmeldung endet hier-->